Signed-off-by: Philipp Hachtmann <hachti@hachti.de>
--- /dev/null
+../sw/pc/kermit_script/frosch
\ No newline at end of file
--- /dev/null
+../sw/plot_hpgl/pc/hpgl
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+
+# AUTO BOOT THE PDP8 VIA RIM LOADER
+
+PORT=`cat ~/.minirc.dfl | grep "port" | awk '{print $3}'`
+if [ ! "$PORT" ]; then PORT="/dev/ttyS0"; fi
+
+SPEED=`cat ~/.minirc.dfl | grep "baudrate" | awk '{print $3}'`
+AUTO_RIM=~/pdp8/work/autobin/autobin.rim
+echo "PORT : $PORT"
+echo "SPEED: $SPEED"
+
+error(){
+ echo "ERROR: $1" >&2
+ bad
+ exit $1
+}
+
+stty -F $PORT $SPEED raw -crtscts -echo cs8 cstopb clocal || error 1
+
+cat $AUTO_RIM > $PORT || error 2
+
+sleep 0.1
+
+if [ -f "$1" ]; then
+ cat $1 > $PORT || error 3
+fi
--- /dev/null
+../sw/speed8/pc/rktool
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+rm -f /var/lock/LCK..ttyUSB0
+stty -F /dev/ttyUSB0 38400 raw -echo clocal -crtscts
+kermit /$HOME/pdp8/sw/pc/kermit_script/frosch.k
\ No newline at end of file
--- /dev/null
+
+set line /dev/ttyUSB0
+#set speed 38400
+set carrier-watch off
+set handshake none
+set flow-control none
+server